<?php

$pagePath = explode('/wp-content/', dirname(__FILE__));
require_once($pagePath[0] . '/wp-load.php');

if (isset($_GET['method']) && !empty($_GET['method'])) {
	$method = sanitize_text_field($_GET['method']);

	switch ($method) {
		case 'getProviders':
			header('Location: ./cp-get-providers-method.php');
			break;
		case 'getPaymentDetails':
			if (isset($_GET['paymentid']) && !empty(sanitize_text_field( $_GET['paymentid'] ))) {
				$payment_id = sanitize_text_field( $_GET['paymentid'] );
			} else {
				wp_redirect(get_admin_url());
				exit;
			}

			header('Location: ./cp-get-payment-details-method.php?paymentid=' . $payment_id);
			break;
		default:
			wp_redirect(get_admin_url());
			exit;
	}
}
